Unverified Commit f9f9602c authored by Aral Balkan's avatar Aral Balkan
Browse files

Remove check for n and for correct version of Node

(The Inspector installer now checks for correct Node version and warns if it is not found.)
parent 9947545f
......@@ -178,27 +178,6 @@ ensureNodemonExists(){
}
ensureNExists(){
if hash n 2>/dev/null; then
echo -e "Global module n already installed, skipping installation.\n"
else
npm install -g n
fi
}
ensureNodeIsTheCorrectVersion(){
#
# Set Node version to the latest Long Term Support (LTS) version.
# (Not using the LTS signifier here to avoid potential surprises)
#
set +e
n 6.11.3
[[ $? -ne 0 ]] && echo -e "Installing node requires root permissions on this system. Retrying with sudo…" && sudo n 6.11.3 || echo -e "Node successfully installed."
set -e
}
addDeploymentRemote(){
# Add deployment remote
echo -e '\nAdding live git remote for deployments if necessary (use ./deploy)…'
......@@ -423,8 +402,6 @@ goodbye(){
ensureDependenciesExist(){
ensureCoffeeScriptExists
ensureNodemonExists
ensureNExists
ensureNodeIsTheCorrectVersion
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment